let util = require('../../../../utils/util')
let apiArr = require('../../../../api/water_filter')
let apiArr2 = require('../../../../api/partner')
// packages/partner/pages/orderDesc/orderDesc.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    type: '',
    install_id:"",
    statusType: {
        1: '待分配',
        2: '安装中',
        3: '待激活',
        4: '已安装',
        5: '忽略',
    },
    Info:{}
  },
  
  getNewOrderInfo(){
    let that = this
    console.log(that.data.install_id);
    let url = apiArr.newOrderDesc;
    let param = {
      install_id:Number(that.data.install_id)
    }
    if (this.data.type === 'repair') {
      url = apiArr2.getOrderPairListInfo;
      param = {
        repair_id: Number(that.data.install_id)
      }
    }
    util.postUrl4(url,param,res=>{
        if(res.fault_imgs){
            res.fault_imgs = res.fault_imgs.startsWith('http')?res.fault_imgs : util.img_url + res.fault_imgs
        }
      that.setData({
        Info:res
      })
    })
  },

  headerPicClick() {
    wx.previewImage({
      urls: [ this.data.Info.fault_imgs]
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    let that = this;
    that.setData({
      install_id:options.install_id,
      type: options.type,
    })
    that.getNewOrderInfo()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})